### Virtual Method

# FwupdPlugin Backend create_device_for_donor

#### Declaration [src]

    FuDevice*
    create_device_for_donor (
      FuBackend* self,
      FuDevice* donor,
      GError** error
    )

#### Description [src]

Asks the backend to create a device (of the correct type) for a given donor device.

Available since: | 2.0.0

#### Parameters

`donor` | `FuDevice`
| A donor `FuDevice`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuDevice`
| A `FuDevice` or `NULL` if not found or unimplemented.
| The caller of the function takes ownership of the data, and is responsible for freeing it.